name: Building & Deploying Website
on: [push]
env:
  MELI_SITE: "c5bc04bc-3c7c-4e45-a810-128bce5315cd"

jobs:
  Deploy-Website:
    runs-on: ubuntu-latest
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
        with:
          submodules: true

      - name: Setup Hugo
        uses: peaceiris/actions-hugo@v3
        with:
          hugo-version: '0.152.2'
          # extended: true

      - name: Build
        run: hugo -b $BASE_URL --minify
        env:
          BASE_URL: ${{ vars.BASE_URL }}

      - name: "Publish"
        run: |
          npx -p "@getmeli/cli" meli upload ./public \
            --url "https://pages.hogertz.eu" \
            --site "$MELI_SITE" \
            --token "$MELI_TOKEN" \
            --release "$GITHUB_SHA"
        env:
          MELI_TOKEN: ${{ secrets.MELI_TOKEN }}
          GITEA_TOKEN: ${{ secrets.GITEA_TOKEN }}
